from events.types.payload import Payload


class RoutineModified(Payload):
    OPERATION_ADD = "ADD"
    OPERATION_EDIT = "EDIT"
    OPERATION_DELETE = "DELETE"

    def __init__(self, routine_id: str, operation: str):
        super().__init__({
            'routine_id': routine_id,
            'operation': operation
        })
